"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const minimist_1 = __importDefault(require("minimist"));
const index_1 = __importDefault(require("./index"));
const usage = fs_1.default.readFileSync(path_1.default.resolve(__dirname, '../usage.txt'), 'utf8');
const args = minimist_1.default(process.argv.slice(2), {
    boolean: ['debug']
});
args.version = args._[0] || args.version || 'stable';
if (args.help || args.h) {
    console.error(usage);
    process.exitCode = 1;
}
else {
    index_1.default(args)
        .then(pkg => console.log(pkg.url))
        .catch(err => { process.nextTick(() => { throw err; }); });
}
//# sourceMappingURL=bin.js.map