import { VersionListOpts, clearCache } from './version-list';
declare type ArtifactOptions = {
    version?: string;
    arch?: string;
    platform?: string;
    distro?: string;
    enterprise?: boolean;
    cryptd?: boolean;
    bits?: '32' | '64' | 32 | 64;
};
export declare type Options = ArtifactOptions & VersionListOpts;
export declare type DownloadArtifactInfo = Required<ArtifactOptions> & {
    url: string;
    artifact: string;
    name: string;
    ext: string;
    filenamePlatform: string;
    debug: false;
    branch: 'master';
};
export declare function getDownloadURL(opts?: Options | string): Promise<DownloadArtifactInfo>;
export default getDownloadURL;
export { clearCache };
